//This is LCD Header File

#define _XTAL_FREQ 20000000

#define LCD_DATA PORTB
#define RS PORTCbits.RC0
#define RW PORTCbits.RC1
#define EN PORTCbits.RC2

#ifndef __LCD_H
#define __LCD_H

	void lcd_data(unsigned char value);
	void lcd_data(unsigned char value);

#ifdef _LCD_INIT
	void lcd_init(void);
#endif

#ifdef _LCD_CLEAR
	void lcd_clear(void);
#endif

#ifdef _LCD_DATA_STRING
	void lcd_data_string(unsigned char msg[]);
#endif

#ifdef _LCD_FIRST_ROW
	void lcd_first_row(void);
#endif

#ifdef _LCD_SECOND_ROW
	void lcd_second_row(void);
#endif

#endif

/*
It is also a good practice to use the following scheme 
to make sure that the lib is only included once even if 
it is included in many modules
The first time that the header is included defines the 
_SOME_UNIQUE_LIB_IDENTIFIER_ and this prevents the header
from being included again since #ifndef _SOME_UNIQUE_LIB_IDENTIFIER_
will be false next time.*/